<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Dépassement capacités</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 echo 'Plus grande valeur enti&egrave;re      : ';
 $grand_nombre = PHP_INT_MAX;
 var_dump($grand_nombre);      // sur 64 bits : int(9223372036854775807)
 echo WEB_EOL;
 echo 'Plus grande valeur enti&egrave;re  +1  : ';
 $grand_nombre = PHP_INT_MAX+1;
 var_dump($grand_nombre);      // sur 64 bits : float(9.2233720368548E+18)
 echo WEB_EOL;
 echo 'Plus petite valeur enti&egrave;re      : ';
 $petit_nombre = -PHP_INT_MAX-1;
 var_dump($petit_nombre);      // sur 64 bits : int(-9223372036854775808)
 echo WEB_EOL;
 echo 'Plus petite valeur enti&egrave;re  -1  : ';
 $petit_nombre = -PHP_INT_MAX-2;
 var_dump($petit_nombre);      // sur 64 bits : float(-9.2233720368548E+18)
 echo WEB_EOL;
 ?>
 </body>
</html>

